Bug 1376477 - [RFE] DHT Events
Summary: [RFE] DHT Events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nithya Balachandran
QA Contact:
URL:
Whiteboard:
Depends On: 1361066 1371874
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-15 14:16 UTC by Nithya Balachandran
Modified: 2016-12-06 05:59 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1371874
Environment:
Last Closed: 2016-12-06 05:59:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nithya Balachandran 2016-09-15 14:16:36 UTC
+++ This bug was initially created as a clone of Bug #1371874 +++

+++ This bug was initially created as a clone of Bug #1361066 +++

Description of problem:

This RFE is to track the changes required in the DHT component to generate the events to be consumed by the eventing framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-08-31 06:26:22 EDT ---

REVIEW: http://review.gluster.org/15373 (events/dht: dht cli events) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

--- Additional comment from Worker Ant on 2016-09-14 11:36:35 EDT ---

REVIEW: http://review.gluster.org/15500 (events/dht: dht cli events) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

--- Additional comment from Worker Ant on 2016-09-15 01:55:15 EDT ---

REVIEW: http://review.gluster.org/15500 (events/dht: dht cli events) posted (#2) for review on master by N Balachandran (nbalacha@redhat.com)

--- Additional comment from Worker Ant on 2016-09-15 01:55:20 EDT ---

REVIEW: http://review.gluster.org/15501 (dht/events:  Added rebalance events) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

--- Additional comment from Worker Ant on 2016-09-15 09:15:36 EDT ---

COMMIT: http://review.gluster.org/15500 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 957e40060734f1a0b2d9e3d37c4b0f7961f56b51
Author: N Balachandran <nbalacha@redhat.com>
Date:   Wed Sep 14 20:12:42 2016 +0530

    events/dht: dht cli events
    
    Adding events for add/remove brick and rebalance
    from the cli.
    
    Change-Id: I4e07cb7224e1b63a2926db055f87a02220c5d043
    BUG: 1371874
    Signed-off-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/15500
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 1 Worker Ant 2016-09-15 14:23:24 UTC
REVIEW: http://review.gluster.org/15512 (events/dht: dht cli events) posted (#1) for review on release-3.9 by N Balachandran (nbalacha@redhat.com)

Comment 2 Worker Ant 2016-09-16 01:40:18 UTC
COMMIT: http://review.gluster.org/15512 committed in release-3.9 by Atin Mukherjee (amukherj@redhat.com) 
------
commit d90b77f57dcea83969038420d913679bf3cac78c
Author: N Balachandran <nbalacha@redhat.com>
Date:   Thu Sep 15 19:27:50 2016 +0530

    events/dht: dht cli events
    
    Adding events for add/remove brick and rebalance
    from the cli.
    
    > Change-Id: I4e07cb7224e1b63a2926db055f87a02220c5d043
    > BUG: 1371874
    > Signed-off-by: N Balachandran <nbalacha@redhat.com>
    > Reviewed-on: http://review.gluster.org/15500
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    (cherry picked from commit 957e40060734f1a0b2d9e3d37c4b0f7961f56b51)
    
    Change-Id: I207af253997adf1b2cbc49fd496fc96913fcdd15
    BUG: 1376477
    Signed-off-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/15512
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 3 Worker Ant 2016-09-16 17:00:58 UTC
REVIEW: http://review.gluster.org/15520 (dht/events:  Added rebalance events) posted (#1) for review on release-3.9 by N Balachandran (nbalacha@redhat.com)

Comment 4 Worker Ant 2016-09-17 10:51:51 UTC
COMMIT: http://review.gluster.org/15520 committed in release-3.9 by Atin Mukherjee (amukherj@redhat.com) 
------
commit c6f1e2983c709f625e8634228b0c701b14e63d72
Author: N Balachandran <nbalacha@redhat.com>
Date:   Fri Sep 16 22:23:51 2016 +0530

    dht/events:  Added rebalance events
    
    The rebalance process will now send an event when it is
    complete.
    Also fixed a problem where the run-time was not always
    set causing spurious rebalance failure events to be sent.
    
    > Change-Id: Ib445171c78c9560940022bca20c887d31a9bb1ca
    > BUG: 1371874
    > Signed-off-by: N Balachandran <nbalacha@redhat.com>
    > Reviewed-on: http://review.gluster.org/15501
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    > Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    (cherry picked from commit e872917dbf4563703b8f396d7d30f8168ed646cd)
    
    Change-Id: Ia24038c04548a98aac899df10414585b988caa76
    BUG: 1376477
    Signed-off-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/15520
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 5 Aravinda VK 2016-10-27 05:22:57 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 6 Aravinda VK 2016-12-06 05:59:31 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.